"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-refresh",
  emits: ["onClick"],
  setup(__props, { emit }) {
    const handleRefreshBtn = () => {
      emit("onClick");
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "refreshempty",
          color: "#0082fa",
          size: "16"
        }),
        b: common_vendor.o(handleRefreshBtn)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-cb0c3a20"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-refresh/hs-refresh.vue"]]);
wx.createComponent(Component);
